Package Gnumed :: Package timelinelib :: Package repositories :: Module categories :: Class CategoriesFacade |
[frames] | no frames]

# Class CategoriesFacade

source code

                     object --+
                              |
    general.observer.Observable --+
                                  |
                                 CategoriesFacade

Instance Methods
__init__(self, db, view_properties) x.__init__(...) initializes x; see help(type(x)) for signature | source code
get_all(self) | source code
get_immediate_children(self, parent) | source code
get_all_children(self, parent) | source code
get_parents(self, child) | source code
get_parents_for_checked_childs(self) | source code
is_visible(self, category) | source code
is_event_with_category_visible(self, category) | source code
Inherited from `general.observer.Observable`: `listen_for`, `listen_for_any`, `register`, `unlisten`, `unregister` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, db, view_properties) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)